Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoLocation2Event Class Reference
[Event classes]

`#include <Inventor/events/SoLocation2Event.h>`

Inheritance diagram for SoLocation2Event:

List of all members.

## Detailed Description

The SoLocation2Event class contains information about 2D movement events.

Location2 events are generated by devices capable of 2D, e.g. pointer devices -- typically computer mice. Instances of this class contains information about the position of the pointer on the render area.

SoLocation2Event does not contain any new information versus its superclass, its sole purpose is to make it possible to specify the type of the event for event object receivers in the scene graph.

See also:
  SoEvent, SoMotion3Event

  SoEventCallback, SoHandleEventAction

## Public Member Functions
virtual | ~SoLocation2Event ()
## Static Public Member Functions
void | initClass (void)

## Constructor & Destructor Documentation

SoLocation2Event::~SoLocation2Event | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoLocation2Event::initClass | ( | void |  | ) | `[static]`

| Initialize the type information data. Reimplemented from SoEvent.

The documentation for this class was generated from the following files:

- SoLocation2Event.h
- SoLocation2Event.cpp